# Class SamReader.Type

java.lang.Object
htsjdk.samtools.SamReader.Type

Enclosing interface:
  `SamReader`

public abstract static class SamReader.Type extends Object
Describes a type of SAM file.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final SamReader.Type`
`BAM_CSI_TYPE`
`static final SamReader.Type`
`BAM_HTSGET_TYPE`
`static final SamReader.Type`
`BAM_TYPE`
`static final SamReader.Type`
`CRAM_TYPE`
`static final SamReader.Type`
`SAM_TYPE`

## Constructor Summary

Constructors
Constructor
Description
`Type()`

## Method Summary

Modifier and Type
Method
Description
`abstract String`
`fileExtension()`
The recommended file extension for SAMs of this type, without a period.
`boolean`
`hasValidFileExtension(String fileName)`
`abstract String`
`indexExtension()`
The recommended file extension for SAM indexes of this type, without a period, or null if this type is not associated with indexes.
`abstract String`
`name()`
A string representation of this type.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CRAM_TYPE

public static final SamReader.Type CRAM_TYPE

### BAM_TYPE

public static final SamReader.Type BAM_TYPE

### SAM_TYPE

public static final SamReader.Type SAM_TYPE

### BAM_CSI_TYPE

public static final SamReader.Type BAM_CSI_TYPE

### BAM_HTSGET_TYPE

public static final SamReader.Type BAM_HTSGET_TYPE

## Constructor Details

### Type

public Type()

## Method Details

### name

public abstract String name()
A string representation of this type.

### fileExtension

public abstract String fileExtension()
The recommended file extension for SAMs of this type, without a period.

### indexExtension

public abstract String indexExtension()
The recommended file extension for SAM indexes of this type, without a period, or null if this type is not associated with indexes.

### hasValidFileExtension

public boolean hasValidFileExtension(String fileName)